Clicky

Jump to content
Portal do Host
  • Sign Up

Sign in to follow this  
walkingnet

Instalação do HyperVm

Recommended Posts

Para a instalação, configuração e dúvidas sobre o Kloxo acesse a área em português do fórum da LxCenter:

http://forum.lxcenter.org/index.php?t=thread&frm_id=70&

Lá você também poderá tirar dúvidas sobre o HyperVM, e aproveita e pergunta sobre a existência de um tutorial em português para instalar ele, que o Walter, brasileiro e programador da equipe da LxCenter, prepara um e coloca lá no fórum.


Essencial Host - Hospedagem de sites, blogs, lojas virtuais e administração de servidores
blogdohost.com.br - Dicas para quem trabalha com hospedagem de site

Share this post


Link to post
Share on other sites

Como o tekobr falou o ideal é ir lá no forum oficial, mas também podemos seguir por aqui.

Bem para começar, qual será o uso deste servidor? Você quer instalar o HyperVM junto com o XEN ou OpenVZ ou apenas o HyperVM para gerenciar outros servidores?

Bom, siga o manual de instalação neste link que tudo vai dar certo: http://wiki.lxcenter.org/Installation+Guide

O básico é desativar o SELinux com o comando abaixo e também no arquivo '/etc/sysconfig/selinux'.

setenforce 0
Baixar o intalador.
wget [url]http://download.lxlabs.com/download/hypervm/production/hypervm-install-master.sh[/url]
Executar o instalador, aqui vai depender do uso do servidor.
sh ./hypervm-install-master.sh --virtualization-type=none

Edited by JMonteiro

Share this post


Link to post
Share on other sites

O Kloxo e o HyperVM possuem muito pouca base de conhecimento em português, e o subfórum Portuguese do LxCenter foi criado com o objetivo de armazenar todo o conteúdo possível em língua portuguesa sobre os dois sistemas. Por isso friso bastante postarem tudo lá, pois pulverizar o conteúdo só vai prejudicar a todos. Só reunindo uma base grande de dúvidas e soluções de problemas é que o Kloxo e o HyperVM vai crescer nos países de língua portuguesa.

JMonteiro, aproveita e colocar esse tutorial lá no LxCenter! :)


Essencial Host - Hospedagem de sites, blogs, lojas virtuais e administração de servidores
blogdohost.com.br - Dicas para quem trabalha com hospedagem de site

Share this post


Link to post
Share on other sites

O Kloxo e o HyperVM possuem muito pouca base de conhecimento em português, e o subfórum Portuguese do LxCenter foi criado com o objetivo de armazenar todo o conteúdo possível em língua portuguesa sobre os dois sistemas. Por isso friso bastante postarem tudo lá, pois pulverizar o conteúdo só vai prejudicar a todos. Só reunindo uma base grande de dúvidas e soluções de problemas é que o Kloxo e o HyperVM vai crescer nos países de língua portuguesa.

JMonteiro, aproveita e colocar esse tutorial lá no LxCenter! :)


Essencial Host - Hospedagem de sites, blogs, lojas virtuais e administração de servidores
blogdohost.com.br - Dicas para quem trabalha com hospedagem de site

Share this post


Link to post
Share on other sites

Porém eu sigo o tutorial correto tanto para hypervm tanto para o Kloxo e aparece esse erro :

Loading mirror speeds from cached hostfile

* openvz-kernel-rhel6: mirror.trouble-free.net

* openvz-utils: mirror.trouble-free.net

http://download.lxlabs.com/download/update/centos-release/i386/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404"

Trying other mirror.

Error: Cannot retrieve repository metadata (repomd.xml) for repository: lxlabsupdate. Please verify its path and try again

YUM Gave Error... Trying Again...

E fica aparecendo o mesmo erro até quando não reniciar o servidor.

Por que seria?

Share this post


Link to post
Share on other sites

Eu não tenho como confimar no memento mas se não me engano o HyperVM só é compativel com o Redhat/CentOS 5.

Parece que você está utilizando o 6, estou certo?

tekobr, essa madrugada eu boto no forum, me registrei na wiki a alguns minutos, vou traduzir tudo que puder o/

Edited by JMonteiro

Share this post


Link to post
Share on other sites

sfhost, acho que você está certo, no repositório até conta os CentOS 6, assim como o Redhat.

Ao acessar o link deu pra ver que o mesmo é inválido, vou procurar mais informações.

---- Edit ----

CentOS 6 não é oficialmente suportado. Tente instalar no 5.x que da certo, vou subir uma máquina como o CentOS pra testar...

Acabei de testar e não consegui, é o mesmo problema que tinha no instalador anterior do Kloxo (não sei se corrigiram)...

Quando o instalador executa o comando para pegar a versão atual o erro acontece. O problema foi que mudaram o padrão de saida do comando, estou procurando um post no forum oficial que informa como resolver ;p

Solução: Edite o arquivo '/etc/redhat-release' e troque o conteúdo por 'CentOS release 6.0 (Final)'

Mesmo com a solução acima ainda não foi possível completar a instalação pois o repositório ainda não está completo. O melhor mesmo é usar o CentOS 5.x

O seguintes softwares estão faltando: lxlighttpd zip unzip lxphp lxzend curl mysql mysql-server mysqlclient10

Edited by JMonteiro

Share this post


Link to post
Share on other sites

Eu já tinha instalado várias vezes com o 5.6 e 5.7, mas nunca no 6, sempre openvz.

XEN só testei duas vezes mas apenas máquinas locais, nunca usei em produção.

Os pacotes que realmente causam problema são os da lxcenter, esses não tem como puxar de outro repositório =/

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.



×
×
  • Create New...